petsc-3.13.6 2020-09-29
Report Typos and Errors

# TaoADMMSetRegularizerType

Set regularizer type for ADMM routine

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerType(Tao tao, TaoADMMRegularizerType type)

Not Collective

### Input Parameter

| tao | - the Tao context
| type | - regularizer type

### Options Database

-tao_admm_regularizer_type <admm_regularizer_user,admm_regularizer_soft_thresh> -

### See Also

TaoADMMGetRegularizerType(), TaoADMMRegularizerType, TAOADMM

### Level

intermediate

### Location

src/tao/constrained/impls/admm/admm.c

### Implementations

TaoADMMSetRegularizerType_ADMM in src/tao/constrained/impls/admm/admm.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages